File dash-core.changes of Package dash-core

* Sat Jun 05 2021 Oleg Girko <ol@infoserver.lv> - 0.17.0.3-1
- Update to 0.17.0.3

* Sun May 23 2021 Oleg Girko <ol@infoserver.lv> - 0.17.0.2-1
- Update to 0.17.0.2
- More correct URL retrieval in update-sources.sh script
- Use SVG icon from sources

* Mon Nov 16 2020 Oleg Girko <ol@infoserver.lv> - 0.16.1.1-1
- Update to 0.16.1.1

* Thu Oct 29 2020 Oleg Girko <ol@infoserver.lv> - 0.16.0.1-3
- Add patches fixing missing header errors
- Add patch fixing compatibility with newer Boost
- Use devtoolset-9 for CentOS 7 build
- Don't use LTO (breaks build)
- Add patch to fix Python 3.9 compatibility in tests

* Thu Oct 01 2020 Oleg Girko <ol@infoserver.lv> - 0.16.0.1-2
- Disable pruning functional test

* Wed Sep 30 2020 Oleg Girko <ol@infoserver.lv> - 0.16.0.1-1
- Update to 0.16.0.1

* Sun Apr 26 2020 Oleg Girko <ol@infoserver.lv> - 0.15.0.0-3
- Add another option to try autodetecting inkscape option to export PNG

* Tue Apr 21 2020 Oleg Girko <ol@infoserver.lv> - 0.15.0.0-3
- Use /var/tmp instead of /tmp as tmpdirprefix for functional tests
- Allow building with OpenSSL 1.1

* Sun Mar 08 2020 Oleg Girko <ol@infoserver.lv> - 0.15.0.0-2
- Fix SELinux requires for dash-server package

* Tue Feb 18 2020 Oleg Girko <ol@infoserver.lv> - 0.15.0.0-1
- Update to 0.15.0.0
- Autodetect inkscape option to export PNG
- Add patch to fix undefined behaviour in unordered_limitedmap
- Add patch to fix undefined behaviour in stacktraces

* Sun Dec 08 2019 Oleg Girko <ol@infoserver.lv> - 0.14.0.5-1
- Update to 0.14.0.5

* Fri Nov 22 2019 Oleg Girko <ol@infoserver.lv> - 0.14.0.4-1
- Update to 0.14.0.4

* Thu Aug 15 2019 Oleg Girko <ol@infoserver.lv> - 0.14.0.3-1
- Update to 0.14.0.3

* Fri Jul 05 2019 Oleg Girko <ol@infoserver.lv> - 0.14.0.2-1
- Update to 0.14.0.2

* Fri May 31 2019 Oleg Girko <ol@infoserver.lv> - 0.14.0.1-1
- Update to 0.14.0.1

* Wed May 22 2019 Oleg Girko <ol@infoserver.lv> - 0.14.0.0-1
- Update to 0.14.0.0

* Thu Apr 04 2019 Oleg Girko <ol@infoserver.lv> - 0.13.3.0-1
- Update to 0.13.3.0
- Add missing dependency that is needed now

* Thu Mar 14 2019 Oleg Girko <ol@infoserver.lv> - 0.13.2.0-1
- Update to 0.13.2.0

* Fri Feb 08 2019 Oleg Girko <ol@infoserver.lv> - 0.13.1.0-1
- Update to 0.13.1.0

* Mon Jan 28 2019 Oleg Girko <ol@infoserver.lv> - 0.13.0.0-2
- Make CentOS 7 build work again by using devtools-8 from SCL
- Make CentOS 7 build work with depends

* Wed Jan 16 2019 Oleg Girko <ol@infoserver.lv> - 0.13.0.0-1
- Update to 0.13.0.0
- Use parallel build for depends
- Specify number of threads to run functional tests explicitly
- Increase timeouts in functional tests

* Wed Oct 31 2018 Oleg Girko <ol@infoserver.lv> - 0.12.3.3-3
- Add patch to use Python3 in bitcoin-util-test.py

* Tue Oct 16 2018 Oleg Girko <ol@infoserver.lv> - 0.12.3.3-2
- Enable CentOS 7 build by requiring right Python3 packages

* Tue Sep 18 2018 Oleg Girko <ol@infoserver.lv> - 0.12.3.3-1
- Update to 0.12.3.3

* Mon Jul 09 2018 Oleg Girko <ol@infoserver.lv> - 0.12.3.2-1
- Update to 0.12.3.2

* Sun Jul 01 2018 Oleg Girko <ol@infoserver.lv> - 0.12.3.1-1
- Update to 0.12.3.1
- Add patch to update Qt download URL

* Fri Jan 12 2018 Oleg Girko <ol@infoserver.lv> - 0.12.2.3-1
- Update to 0.12.2.3

* Tue Dec 19 2017 Oleg Girko <ol@infoserver.lv> - 0.12.2.2-1
- Update to 0.12.2.2

* Wed Dec 13 2017 Oleg Girko <ol@infoserver.lv> - 0.12.2.1-2
- Add patch to fix traditional theme
- Add patch to force rcc to use resource format version 1

* Sat Nov 11 2017 Oleg Girko <ol@infoserver.lv> - 0.12.2.1-1
- Update to 0.12.2.1

* Tue Nov 07 2017 Oleg Girko <ol@infoserver.lv> - 0.12.2.0-1
- Update to 0.12.2.0
- Set LD_LIBRARY_PATH variable for tests if building with depends

* Tue Oct 10 2017 Oleg Girko <ol@infoserver.lv> - 0.12.1.5-5
- Add patch to use points instead of pixels for font sizes in themes

* Mon Sep 25 2017 Oleg Girko <ol@infoserver.lv> - 0.12.1.5-4
- Allow build using depends system
- Require git-core for build (used for patching)
- Add patch to upgrade fontconfig in depends system
- Add patch to fix problem with new pkgconf
- Require OpenSSL 1.0 for build

* Wed Apr 26 2017 Oleg Girko <ol@infoserver.lv> - 0.12.1.5-3
- Make build results not dependent on build time

* Mon Apr 17 2017 Oleg Girko <ol@infoserver.lv> - 0.12.1.5-2
- Restart dash service on package upgrade

* Tue Apr 11 2017 Oleg Girko <ol@infoserver.lv> - 0.12.1.5-1
- Update to 0.12.1.5

* Tue Mar 28 2017 Oleg Girko <ol@infoserver.lv> - 0.12.1.4-1
- Initial package based on spec file from Bitcoin contrib